Skip to navigation

Reset Machine BMC

View as Markdown

Reset the BMC of a specific Machine. When an Instance is attached to the Machine, acknowledgeAttachedInstance must be true.

If useIpmiTool is true, the BMC reset request may be silently ignored while the BMC is in lockdown mode.

For Infrastructure Providers: Org must have an Infrastructure Provider entity and own the Site that the Machine belongs to. User must have authorization role with PROVIDER_ADMIN suffix.

For Tenants: Org must have a Tenant with TargetedInstanceCreation capability enabled and Tenant Account with Machine’s Provider. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
machineIdstringRequired
ID of the Machine

Request

This endpoint expects an object.
useIpmiToolbooleanOptionalDefaults to false
Reset the BMC via ipmitool instead of Redfish. The request may be silently ignored while the BMC is in lockdown mode.
acknowledgeAttachedInstancebooleanOptional
Acknowledges that an Instance is currently attached to the Machine and this action may disrupt Tenant workload on the Instance.

Response

Machine BMC reset request was accepted
messagestring

Human-readable outcome of the request

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error